package com.ruoyi.system.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个体信息对象 orhon_gtxx
 * 
 * @author ruoyi
 * @date 2020-07-27
 */
public class OrhonGtxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 登记机关中文名称 */
    @Excel(name = "登记机关中文名称")
    private String djjgzwmc;

    /** 登记状态中文名称 */
    @Excel(name = "登记状态中文名称")
    private String djztzwmc;

    /** 数据汇总日期 */
    @Excel(name = "数据汇总日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sjhzsj;

    /** 行业门类 */
    @Excel(name = "行业门类")
    private String hyml;

    /** 资金数额（万元） */
    @Excel(name = "资金数额", readConverterExp = "万=元")
    private Long zjse;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String tyshxydm;

    /** 经营(驻在)期限至 */
    @Excel(name = "经营(驻在)期限至", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jyqxz;

    /** 登记机关 */
    @Excel(name = "登记机关")
    private String djjg;

    /** 经营者 */
    @Excel(name = "经营者")
    private String jyz;

    /** 经营场所邮政编码 */
    @Excel(name = "经营场所邮政编码")
    private String jycsyzbm;

    /** 登记状态 */
    @Excel(name = "登记状态")
    private Long djzt;

    /** 经营场所 */
    @Excel(name = "经营场所")
    private String jycs;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String jyfw;

    /** 注册号 */
    @Excel(name = "注册号")
    private String zch;

    /** 字号名称 */
    @Excel(name = "字号名称")
    private String zhmc;

    /** 注册日期 */
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zcrq;

    /** 经营(驻在)期限自 */
    @Excel(name = "经营(驻在)期限自", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jyqxzi;



    /** 从业人员数量（名） */
    @Excel(name = "从业人员数量（名）")
    private Long cyrs;
    /** 党员数(名） */
    @Excel(name = "党员数(名）")
    private String dys;
    /** 经营者联系方式*/
    @Excel(name = "经营者联系方式")
    private String jyzlxfs;
    /**经营者是否为党员*/
    @Excel(name = "经营者是否为党员")
    private String jyzsfdy;
    /** 是否建立工会*/
    @Excel(name = "是否建立工会")
    private String isgh;
    /** 是否建立团组织*/
    @Excel(name = "是否建立团组织")
    private String istzz;
    /** 是否建立基层妇女组织*/
    @Excel(name = "是否建立基层妇女组织")
    private String isjljcfnzz;
    /** 是否有活动阵地*/
    @Excel(name = "是否有活动阵地")
    private String ishdzd;
    /** 是否建立党组织*/
    @Excel(name = "是否建立党组织")
    private String isdzz;
    /** 党组织建立日期*/
    @Excel(name = "党组织建立日期")
    private String dzzjlsj;
    /** 党组织类型*/
    @Excel(name = "党组织类型")
    private String dzzlx;
    /** 党组织书记姓名*/
    @Excel(name = "党组织书记姓名")
    private String dzzsjxm;
    /** 党组织联系方式*/
    @Excel(name = "党组织联系方式")
    private String dzzsjdh;
    /** 上级党组织*/
    @Excel(name = "上级党组织")
    private String sjdzz;
    /** 是否为“双强六好”党组织*/
    @Excel(name = "是否为“双强六好”党组织")
    private String issqlh;
    /** 奖惩情况*/
    @Excel(name = "奖惩情况")
    private String jcqk;
    /** 评定时间*/
    @Excel(name = "评定时间")
    private String qdsj;
    /** 评定级别*/
    @Excel(name = "评定级别")
    private String qdjb;
    /** 星级评定结果*/
    @Excel(name = "星级评定结果")
    private String xjpdjg;
    /** 活动阵地面积（平米）*/
    @Excel(name = "活动阵地面积（平米）")
    private String hdzdmj;
    /** 党建经费（万元）*/
    @Excel(name = "党建经费（万元）")
    private String djjf;
    /** 上级拨付额（万元）*/
    @Excel(name = "上级拨付额（万元）")
    private String sjbfe;
    /** 本级匹配额（万元）*/
    @Excel(name = "本级匹配额（万元）")
    private String bjppe;
    /** 是否派党建指导员*/
    @Excel(name = "是否派党建指导员")
    private String sfpdjzdy;
    /** 党建指导员姓名*/
    @Excel(name = "党建指导员姓名")
    private String djzdyxm;
    /** 有无党员*/
    @Excel(name = "有无党员")
    private String ywdy;
    /** 在职党员数量*/
    @Excel(name = "在职党员数量")
    private String zzdysl;
    /** 预备党员数量*/
    @Excel(name = "预备党员数量")
    private String ybdysl;
    /** 流动党员数量*/
    @Excel(name = "流动党员数量")
    private String lddysl;
    /** 失联或口袋党员数量*/
    @Excel(name = "失联或口袋党员数量")
    private String slhkddysl;
    /** 党组织名称*/
    @Excel(name = "党组织名称")
    private String dzzmc;
    /** 党组织属地关系*/
    @Excel(name = "党组织属地关系")
    private String dzzsdgx;
    /** 换届信息*/
    @Excel(name = "换届信息")
    private String hjxx;
    /** 党费账户*/
    @Excel(name = "党费账户")
    private String dfzh;

    public String getDfzh() {
        return dfzh;
    }

    public void setDfzh(String dfzh) {
        this.dfzh = dfzh;
    }

    public String getHjxx() {
        return hjxx;
    }

    public void setHjxx(String hjxx) {
        this.hjxx = hjxx;
    }

    public String getDzzsdgx() {
        return dzzsdgx;
    }

    public void setDzzsdgx(String dzzsdgx) {
        this.dzzsdgx = dzzsdgx;
    }

    public String getDzzmc() {
        return dzzmc;
    }

    public void setDzzmc(String dzzmc) {
        this.dzzmc = dzzmc;
    }

    public String getYwdy() {
        return ywdy;
    }

    public void setYwdy(String ywdy) {
        this.ywdy = ywdy;
    }

    public String getZzdysl() {
        return zzdysl;
    }

    public void setZzdysl(String zzdysl) {
        this.zzdysl = zzdysl;
    }

    public String getYbdysl() {
        return ybdysl;
    }

    public void setYbdysl(String ybdysl) {
        this.ybdysl = ybdysl;
    }

    public String getLddysl() {
        return lddysl;
    }

    public void setLddysl(String lddysl) {
        this.lddysl = lddysl;
    }

    public String getSlhkddysl() {
        return slhkddysl;
    }

    public void setSlhkddysl(String slhkddysl) {
        this.slhkddysl = slhkddysl;
    }

    public String getJjfzsl() {
        return jjfzsl;
    }

    public void setJjfzsl(String jjfzsl) {
        this.jjfzsl = jjfzsl;
    }

    public String getFzdxsl() {
        return fzdxsl;
    }

    public void setFzdxsl(String fzdxsl) {
        this.fzdxsl = fzdxsl;
    }

    public String getNnfzdys() {
        return nnfzdys;
    }

    public void setNnfzdys(String nnfzdys) {
        this.nnfzdys = nnfzdys;
    }

    public String getDfsjbz() {
        return dfsjbz;
    }

    public void setDfsjbz(String dfsjbz) {
        this.dfsjbz = dfsjbz;
    }

    /** 积极分子数量*/
    @Excel(name = "积极分子数量")
    private String jjfzsl;
    /** 发展对象数量*/
    @Excel(name = "发展对象数量")
    private String fzdxsl;
    /** 年内发展党员数*/
    @Excel(name = "年内发展党员数")
    private String nnfzdys;
    /** 党费收缴标准*/
    @Excel(name = "党费收缴标准")
    private String dfsjbz;
    public String getLxdhjczh() {
        return lxdhjczh;
    }

    public void setLxdhjczh(String lxdhjczh) {
        this.lxdhjczh = lxdhjczh;
    }

    /** 工作单位及职务*/
    @Excel(name = "工作单位及职务")
    private String gzdwjzw;
    /** 联系电话*/
    @Excel(name = "联系电话")
    private String lxdhjczh;

    public String getGzdwjzw() {
        return gzdwjzw;
    }

    public void setGzdwjzw(String gzdwjzw) {
        this.gzdwjzw = gzdwjzw;
    }

    public String getDjzdyxm() {
        return djzdyxm;
    }

    public void setDjzdyxm(String djzdyxm) {
        this.djzdyxm = djzdyxm;
    }

    public String getSfpdjzdy() {
        return sfpdjzdy;
    }

    public void setSfpdjzdy(String sfpdjzdy) {
        this.sfpdjzdy = sfpdjzdy;
    }

    public String getBjppe() {
        return bjppe;
    }

    public void setBjppe(String bjppe) {
        this.bjppe = bjppe;
    }

    public String getSjbfe() {
        return sjbfe;
    }

    public void setSjbfe(String sjbfe) {
        this.sjbfe = sjbfe;
    }

    public String getDjjf() {
        return djjf;
    }

    public void setDjjf(String djjf) {
        this.djjf = djjf;
    }

    public String getHdzdmj() {
        return hdzdmj;
    }

    public void setHdzdmj(String hdzdmj) {
        this.hdzdmj = hdzdmj;
    }

    public String getXjpdjg() {
        return xjpdjg;
    }

    public void setXjpdjg(String xjpdjg) {
        this.xjpdjg = xjpdjg;
    }

    public String getQdsj() {
        return qdsj;
    }

    public void setQdsj(String qdsj) {
        this.qdsj = qdsj;
    }

    public String getQdjb() {
        return qdjb;
    }

    public void setQdjb(String qdjb) {
        this.qdjb = qdjb;
    }

    public String getJcqk() {
        return jcqk;
    }

    public void setJcqk(String jcqk) {
        this.jcqk = jcqk;
    }

    public String getIssqlh() {
        return issqlh;
    }

    public void setIssqlh(String issqlh) {
        this.issqlh = issqlh;
    }

    public Long getCyrs() {
        return cyrs;
    }

    public void setCyrs(Long cyrs) {
        this.cyrs = cyrs;
    }

    public String getDys() {
        return dys;
    }

    public void setDys(String dys) {
        this.dys = dys;
    }

    public String getJyzlxfs() {
        return jyzlxfs;
    }

    public void setJyzlxfs(String jyzlxfs) {
        this.jyzlxfs = jyzlxfs;
    }

    public String getJyzsfdy() {
        return jyzsfdy;
    }

    public void setJyzsfdy(String jyzsfdy) {
        this.jyzsfdy = jyzsfdy;
    }

    public String getIsgh() {
        return isgh;
    }

    public void setIsgh(String isgh) {
        this.isgh = isgh;
    }

    public String getIstzz() {
        return istzz;
    }

    public void setIstzz(String istzz) {
        this.istzz = istzz;
    }

    public String getIsjljcfnzz() {
        return isjljcfnzz;
    }

    public void setIsjljcfnzz(String isjljcfnzz) {
        this.isjljcfnzz = isjljcfnzz;
    }

    public String getIshdzd() {
        return ishdzd;
    }

    public void setIshdzd(String ishdzd) {
        this.ishdzd = ishdzd;
    }

    public String getIsdzz() {
        return isdzz;
    }

    public void setIsdzz(String isdzz) {
        this.isdzz = isdzz;
    }

    public String getDzzjlsj() {
        return dzzjlsj;
    }

    public void setDzzjlsj(String dzzjlsj) {
        this.dzzjlsj = dzzjlsj;
    }

    public String getDzzlx() {
        return dzzlx;
    }

    public void setDzzlx(String dzzlx) {
        this.dzzlx = dzzlx;
    }

    public String getDzzsjxm() {
        return dzzsjxm;
    }

    public void setDzzsjxm(String dzzsjxm) {
        this.dzzsjxm = dzzsjxm;
    }

    public String getDzzsjdh() {
        return dzzsjdh;
    }

    public void setDzzsjdh(String dzzsjdh) {
        this.dzzsjdh = dzzsjdh;
    }

    public String getSjdzz() {
        return sjdzz;
    }

    public void setSjdzz(String sjdzz) {
        this.sjdzz = sjdzz;
    }

    private Integer deptId;

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setDjjgzwmc(String djjgzwmc) 
    {
        this.djjgzwmc = djjgzwmc;
    }

    public String getDjjgzwmc() 
    {
        return djjgzwmc;
    }
    public void setDjztzwmc(String djztzwmc) 
    {
        this.djztzwmc = djztzwmc;
    }

    public String getDjztzwmc() 
    {
        return djztzwmc;
    }
    public void setSjhzsj(Date sjhzsj) 
    {
        this.sjhzsj = sjhzsj;
    }

    public Date getSjhzsj() 
    {
        return sjhzsj;
    }
    public void setHyml(String hyml) 
    {
        this.hyml = hyml;
    }

    public String getHyml() 
    {
        return hyml;
    }
    public void setZjse(Long zjse) 
    {
        this.zjse = zjse;
    }

    public Long getZjse() 
    {
        return zjse;
    }
    public void setTyshxydm(String tyshxydm) 
    {
        this.tyshxydm = tyshxydm;
    }

    public String getTyshxydm() 
    {
        return tyshxydm;
    }
    public void setJyqxz(Date jyqxz) 
    {
        this.jyqxz = jyqxz;
    }

    public Date getJyqxz() 
    {
        return jyqxz;
    }
    public void setDjjg(String djjg) 
    {
        this.djjg = djjg;
    }

    public String getDjjg() 
    {
        return djjg;
    }
    public void setJyz(String jyz) 
    {
        this.jyz = jyz;
    }

    public String getJyz() 
    {
        return jyz;
    }
    public void setJycsyzbm(String jycsyzbm) 
    {
        this.jycsyzbm = jycsyzbm;
    }

    public String getJycsyzbm() 
    {
        return jycsyzbm;
    }
    public void setDjzt(Long djzt) 
    {
        this.djzt = djzt;
    }

    public Long getDjzt() 
    {
        return djzt;
    }
    public void setJycs(String jycs) 
    {
        this.jycs = jycs;
    }

    public String getJycs() 
    {
        return jycs;
    }
    public void setJyfw(String jyfw) 
    {
        this.jyfw = jyfw;
    }

    public String getJyfw() 
    {
        return jyfw;
    }
    public void setZch(String zch) 
    {
        this.zch = zch;
    }

    public String getZch() 
    {
        return zch;
    }
    public void setZhmc(String zhmc) 
    {
        this.zhmc = zhmc;
    }

    public String getZhmc() 
    {
        return zhmc;
    }
    public void setZcrq(Date zcrq) 
    {
        this.zcrq = zcrq;
    }

    public Date getZcrq() 
    {
        return zcrq;
    }
    public void setJyqxzi(Date jyqxzi) 
    {
        this.jyqxzi = jyqxzi;
    }

    public Date getJyqxzi() 
    {
        return jyqxzi;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("djjgzwmc", getDjjgzwmc())
            .append("djztzwmc", getDjztzwmc())
            .append("sjhzsj", getSjhzsj())
            .append("hyml", getHyml())
            .append("zjse", getZjse())
            .append("tyshxydm", getTyshxydm())
            .append("jyqxz", getJyqxz())
            .append("djjg", getDjjg())
            .append("jyz", getJyz())
            .append("jycsyzbm", getJycsyzbm())
            .append("djzt", getDjzt())
            .append("jycs", getJycs())
            .append("jyfw", getJyfw())
            .append("zch", getZch())
            .append("zhmc", getZhmc())
            .append("zcrq", getZcrq())
            .append("jyqxzi", getJyqxzi())
            .toString();
    }
}
